update_geom_defaults {ggplot2} | R Documentation

## Modify geom/stat aesthetic defaults for future plots

### Description

Modify geom/stat aesthetic defaults for future plots

### Usage

    update_geom_defaults(geom, new)

    update_stat_defaults(stat, new)

### Arguments

`new` | Named list of aesthetics.
`stat, geom` | Name of geom/stat to modify (like `"point"` or `"bin"`), or a Geom/Stat object (like `GeomPoint` or `StatBin`).

### Examples

    update_geom_defaults("point", list(colour = "darkblue"))
    ggplot(mtcars, aes(mpg, wt)) + geom_point()
    update_geom_defaults("point", list(colour = "black"))

[Package ggplot2 version 2.1.0 Index]